# Minimal Theme for qsgen3

A clean, minimal theme that demonstrates the proper qsgen3 theme structure.

## Features

- Clean, modern design
- Responsive layout
- Semantic HTML structure
- Accessible typography
- Fast loading

## Structure

```
themes/minimal/
├── layouts/                # Complete set of Pandoc templates
│   ├── index.html         # Homepage layout
│   ├── post.html          # Blog post layout
│   ├── page.html          # Static page layout
│   └── rss.xml            # RSS feed template
└── static/                # Theme assets
    └── css/
        └── style.css      # Main theme stylesheet
```

## Usage

1. Set in your `site.conf`:
   ```
   site_theme="minimal"
   site_theme_css_file="css/style.css"
   ```

2. Run qsgen3:
   ```bash
   ./bin/qsgen3
   ```

## Customization

- Edit `static/css/style.css` to modify the visual appearance
- Modify layout templates in `layouts/` to change HTML structure
- Add JavaScript files to `static/js/` and reference them in templates

## Browser Support

- Modern browsers (Chrome 90+, Firefox 88+, Safari 14+)
- Graceful degradation for older browsers
